Subject: Re: [PATCH] mac80211: rewrite fragmentation code

From: Rusty Russell <rusty-8n+1lVoiYb80n/[email-masked]>
Date: Mon, 19 May 2008 13:08:13 +1000

On Saturday 17 May 2008 05:40:39 David Miller wrote:
> My description describes how I want the mid-layer queue to disappear
> entirely.  Queueing would be done by the driver only.

Ok, the more I ponder this, the more I like it.  It has a very nice side 
benefit for virtio_net: we can xmit a whole bunch of packets before notifying 
the host.  Real NICs might gain similarly.

The bit I can't see is what to do about qdisc if the driver manages its own 
queue(s).  Leave the qdisc as currently in place and have the driver call 
dev_dequeue_skb() (or some wrapper) directly?  Modulo locking issues, that 
should be a fairly simple change.

Thanks,
Rusty.
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html